Skip to main content
`Ctrl`+`K`

# EPSPowerGetUpdate

Returns a flag indicating if the residual is updated monolithically for nonlinear problems.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerGetUpdate(EPS eps,PetscBool *update)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- update - the update flag

## See Also

EPS: Eigenvalue Problem Solver, `EPSPOWER`, `EPSPowerSetUpdate()`, `EPSPowerSetNonlinear()`

## Level

advanced

## Location

src/eps/impls/power/power.c

## Examples

src/eps/tutorials/ex34.c

## Implementations

EPSPowerGetUpdate_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages